local AddOnName, Engine = ...
local GetAddOnMetadata = (C_AddOns and C_AddOns.GetAddOnMetadata) or GetAddOnMetadata

Engine.ProfileData = {
	--[[
		## ElvUI Profile & Private Profile Strings Help
		##
		## To get a proper export string to use with the installer without any saved settings from plugins mixed in, you will need to disable those addons/plugins.
		## Below will demostrate a quick and straight forward way to disable all addons but ElvUI, ELvUI_Libraries, and ElvUI_Options and export the needed strings.
		## 1) Type in chat: /edebug on
		## 2) Open the ElvUI configuration panel.
		## 3) Navigate to the "Profiles" section.
		## 4) Click "Export"
		## 5) Select "Profile" and "Private (Character Settings)"
		## 6) Click "Export" so the configuration panel can generate both strings you will copy and paste below in the proper location.
		##=======================================================##
		##  Engine.ProfileData  ||  Name shown in the ElvUI		 ##
		##      Reference		||	     Export Section			 ##
		##=======================================================##
		##       		GLOBAL  ->  Global (Account Settings)	 ##
		##      	   PRIVATE  ->  Private (Character Settings) ##
		##  	       PROFILE  ->  Profile						 ##
		##  	   AURAFILTERS  ->  Aura Filters				 ##
		## 		  STYLEFILTERS  ->  Nameplate Style Filters		 ##
		##=======================================================##
	]]
	ElvUI = {
		-- GLOBAL = '!E1!lodJlK4kjU4SYQ0Zj)Ksmha)', --* xScarlife Global is technically empty and not setup to be used in the codebase.
		--* Retail Pack v2.0
		PROFILE1 = '!E1!vZvFVjost(pn3)rg53noN0PdiKe0La5ap78m7Qqgd0e8gJnNTjzYQhnF2VQQ2V02Un4SpZEAVrR2eS7URQRx)1vxKLQlDxUyJxQ3kV4e83t3fZ8sXFBhZ)5DPlNQPSCX2OW0Ll0uu0(X3ggfSz5cwO3Qa2Yvlx8M)M0DlNAOPVegd77hyX(SW1mA1yFp96O49WkU4HXZhnEk8WKDrVDh7vwWYH8vEH)FWwovvnNoJ)(HywsYBEVZh8WJRaALGdpJyAkQiX2ffgfJ0PGBGhgZoCm1l1pku4ndBHxAsWQuW7pGDtktuEOAiz3RPObdhMWZSqwSxaT5Jsz7jH6ZXrVLU7k)y2AIVwC7S5t(1ztDhChSdp4T2p8zyHHFNKe6k4k9)CKDKTa2jhP1izThqXPkFci)7Z2UnHb8YfM4i9dtzXXhpKoimm6ik6xmFWKRYeUPVdZBX0zthdBNJPrZzh88JbzWDd(645lxS3p0FV3bKgbrRjbNliQwUa4YVu(SRlvuwajxhfsS1g)TB9xFmi9D8tFpNXCeyyhrgwfLtlWxfUXlwyJP(jdtHfOYUKMZEp)Gk04cdHjRlmEsZLg7T(fuUkofnBI6bEjj36fql3HOeFUsz4mx3z3pFYn36Y1LCTby1JFyvuAA0(h8cb7wqVVcw9nXrh26THTokGBg6HB3(k0)uvD0uCa2Af(qfZ(910n1CmuvTTGn6ZsFASSNce)vVGJLKzfzRWTyIZ2Ubrp7hUhmI9EMSlbJ29CNmxHpCDD)40YDI4YdmHTiB0pNHR)0yzpfL(EbOW)wM3MRJ92ZwKBmG7sVnBIchfT)GxC6EwipAJ)g0lnvMlPxq6drVXIhYnyAemc9t3(c37FF0RmEKSXbV(5RF66O1htg5LKcb4UhFxUEU3NN8Gxmq9EzFwPNUv)8Pn3ZFJELXF34RDRph6zg906dwIUEXpZk4ZQKcxZAutvxPNMdqV79G4BG55qwq0B3Z9fZMT7ShiRXsYw8KlmG)dItSyyusYWJGPz4POMEpni88I7IIsj1rZDwZjrpwZ2QNHnOZ(1Oq2Gv(b(GJEBsqGk22qCJO1(Eb3ZcpwHmCgVjDk2q69vff)hyPLYHtXJGK0w3kFQC9WGJXENvhOPcevtB5IRGrZ3BIsNtj(v117DHPAbd)alvMr2PyBlthWYbKx)cBN)6a2ciVBhOmQ47BMP49cHSnLtQY4bdAGnDQkx4))Zkz0nvbRtWI5lUqgU0174MyLg2f8J4Kfep9UiZGljze4UghfCoNpdlGv)VlZ512U6cWIes7jyOO2zroyG2N2uWR8EokCEbub3iq7101qkFcMAdcQ7Plv6BPiYNADlEcYKW(RK3(qsDahYIb1IV2bRkvqOQBcS7Sv)ocs5vwnpHgI18N1h3OyaWHth72bkb2VAgqCpiI)20bdpLvOspAHhapZdZKW6OCqtZb3n2CH)KHEp)rcebHtuTbjXCeU3ODEPsMS8zQzbblxUaK8RI6soaWyYql3czqsIFYPI4L)mG)Uq3qbnJrRQ79IFbY4b0Bq46DrDYpWqXcc(bKj6WigcEe9r98pDSehqE6sNoOl7Tlm7PAuKo9HaV3bQilnSS5QP1VNgMm(o22MQGtTZGWwGg4M7RjhBieXOOOeex8USDaBcKF(IBwg6I4H5c9o4AIbe5IdcushOPog(gyYJja0ZX7HZt0me1jmiHfaGBVyec3TlBsuNPdIL79xhhjnvMuJjDTE4ze564odaIRKT1Wn44VdO1NGNwcMPE3CYbnOPcp72GHpz0rNBdl9EQe6YStP(HcUQ2KBLK8rQqIRketfFwjecprRFgWMjpn)(6I1ZTx1T7P0GH1(qlrptfTCzS2PnwTjqWvH93vlvGqAwQ5eY6mgPow5Ju9mJeb3n6(NUF2VGN09KU3yYprm4DjKOUA1aCNvLYn6rD6xCVbKpvdGu3YJWqau4v4ZeaLtH1ab2mio1FR360oBuRNnrU0uVRwfo97vOSmpJkW0PaH7DmVxz1oSstjKIkp)7aEPx68EHawaCdaf)SWkmQblURzMixsmrGlwBhxSed116TzAHNXRBBenfDUEpi7KfDo7NLfeYxXiJ96uuyvviGOHrv74oD6jYwwNdJiki1)WhlWIw)(L6GWx6iWhnJSZ8(HWdAI2gwycFp4SmspJxl(hOtUIsbqYc(uqOlpCpGbTqMcWWFVZ6q9(690Dq7)awCBNwx2enTS5vW4k2QpOXgsUwk9G8zPIgOyL0IcHHN(G3Z8YZUY7zQ2lRJogMkuXqTg1GsS(o4RMeUncFZSJPbqux4GiF29UjynlfFlVSpeD4RSUDTvUKGjRJ9omb4qKXkyO8vaIPUjk(MyV3tQuM4uHX2KxwbwaTq4Mdo5GpE8CQgN0C6RWRqvi798crp8Uj)6Voy(vlx87hdFjNBPIE7hUX99dmo3hfSj6TW8QFLuTmy8QvkkNkKcyPXaNzEPA52fu12II9)dmbxWI8QpRxrijQEKOmtIItVNLUlAZYfthCpSzt93ZQig4fCo)XTSIvhnwmYtWHQTYHFiQum6YTZEVV)fWyjz5uTw3jYKc86ddUCVbZEWw4GuWlm5QJJH(PBrV3CDv58WxXVSfWCQ(1xGhA)9AQlpcJWdr(4wK7YZP(mW7lgRCkswHBLi84(4O3siTkG0f(9SYeJww8y84WsPKFj3ehDKQ)FmCEsSY(LMSiW(Y6QBGlry2EQSO687w5PTz20)gocQAYps)6LarJtF8hF73kVSGSxNSh2TbOl0J1RFV41pvEjozx3IQQIadiYJu5Y5xIvLB(iNRFx4gkAY1pkEFayuvrobt9uOseUfc766cKLROYOOMLAcYTuuwxUy6MvVDNm1azu1IprSGHsZ7Pltnw56r0ZP)8Oa2K8BYP4Qu4vWVXDwD1SVm9jsMGV74HHGl28z3bY24SLPYwrVG3TiYb5RFF9o26xAmYl0DQEzp5mnTPpGhOS64XkWvv3rdIBtHZj3kbH2UJ5faFWTf7LgMbGsA3Hh)3ene4QVumPbaWETG4NcO7rvUPUFmkF1Ajs2fsvBvU2tUOZw02xqG1xyhWDkpUN8Ibx((z6Nk2iY0qvCS24ThsItrfEVCaNwXzOv1(Sqvv4XiOmqmgNrxykk0X7Nfo0MmPok(Y9NRF9DT7AzOw)Ittrj)6Jj8WGCg3l4Hygm7A3F8k(W5JSC8c6WkXWZfeIpmtoG12fV0WQVh45WNZgy(wRz4PSiPvcp6ieuQsqhaTMWE8eCRKOLR5NhIclajKEr4MUvTDeOEFC55C4C2E48YOcIUDy(AFsbAtdgDPImIK)zLzvKw8Bw)GOk8CQ8d8SLvfFf5xnQh7hpR36a)1V4UdCcFEh6BvMbUnamLXMDOOLYK)RPQa6sDXqOy4MHYcGiG4qPI9IIunwUK2rj3bsEUb9CLAt3yPHr)X3(N)tiXpFgxU(ymEqcUzmDN2pknolwbDV0jvrIKf0)ymyLo6ZlY81r0TzskpqRUENBeKQAS7Gr3o(QQnTbGYBi2LlOsBddhlBZxQSVNZskO6z8qo86Hc(t8UTLfUUVysDv(bNkuMK8fss82p(gwo)F8Tc0yz7hym4E6wUqVwdTukWPPD5p(2)bf8)suf(yLy5sms(DGl83((TfrBPX08KmLBf08olKpzkW5kQFrCRsTY1glI)zxzvrh7Q7SQgppwWa95oODmedxJFDC0E6m1uoV6gbQcgmMsXyCjyxVMZfciweZZHMslGukp)CZuauJNKzTkHFssJ9s9geUPOXnOdqW)eh1yrZczvLvRTvYAgRIWEwTLKixV3sCjXZ5D1NNpWDYSPIMdyLylD7UD8G7CVnh64x5qgffu60EaCDAeQMRkrJwQJ0(xeZujiu96aLKcMOZ4L(lcLKSKEOz0Pa58NdlvvCIfjfaz2R(j(593XV9FIAcREHrSVdqBtEK)an1EzF(hFd7xN)9ekS1hcWfou9FMQycmCzqXQA7oRy))yGWNsXk1c9pN2(dOxoWrd1jSNNgWyjo3ZgC(0y6eamlfqDr8p68Qyjk94bwBEiDT6W00fLExyvrPvpW0z2eLQMtN2QChPPzsrbDJ9dFHl35wpgKH2j0ba))EPE4eO0jsuiGeW8vfCUKcBiRWf1k1uFrfMOmUeKJYsHZlvtRu)uk8AkuLggwI0OmfdpxPy)KAZ1DXqUt)QGqUq5tuTr)5IxfgCeE1XzTymVkrTHyn9SaupdOu5DDCl(GvXu2c0mS7D)OyZSTAh3jHPXFRpVlHVeTUkGOPPUSdq0eboDcBFVvRIzVkc8stTMxWBseCTCGNMEbTdsQOIRsrd1g(N)HWbAKuelTM67(gTccUcCZg1pSKfYXZvmADZkLtlfBK5K6vd48(86Mv90ZpsBLt2GREz3SBjt1K1m1NqnVhmtoUVs4sfLZgLTawUOc1uqHwCIDnrzSWjZl1mIPhPsENvfLM3VqqeVvJ5mb5jqxxd5iYFyE3vtooqYnmqnWOuBYqJfNeCUZOJWgGwS7Nn9)c(5ucim1l2s6DCENFJYYPADCC6DCCgDCCMDCCwDBCKqEJFcyshYwNY2umT(Mko9v0D0unTWwNG6eD7SpQzByMTiFY2YqOt055FoC4NZkrk7mv67uQaQMmGbo1EvJOMNFipCpeqhVUFozV20Yu102strZPVPHT2YTxGTM4ZlVUVTPJJHUUPLMQdWv4Bmww0s)cMlz9NavmP8qjxpB0NxuS1kfSaNNV1mnCuuDSuS7BORAKT3eEKUnDmX5FE6Krp9WSVarokwpqAuiSSZwV6pmwYdrNKPJNFZx)PSu3py6GIfQgNNP(eMc2cXzMtlMp4MXfZujtWWvPztnJOwwcKn7Uuj9A53hIRnm1u1Su6ROPB7yZ1u9RzattAA0K8Vmoztf0ggaLvu0THa8Ag4ujB)RnCadonhffyL167yN9MC1pUCflgBZiXVEgLK(ABhvnnGgkgQwgw62CZRQMpd4yqOGtCB4NkIl5(t6l8rj1YQu1qXG2Tscb5haOPaFWWbxvmnvhZY)LBAdwaL)RFPuB64p7oFWDftwpZZMRFZMStf)7YjFZSzLK1OiqboFrM9tgc2HekVImenrrXtZElKskatlH5gjyh4x6U0CSAntUCa)IgrVBi9fpcBpd(x(OfU(ieyQ9KL)uSPwVcwE(BGLiGq5v5ywukYf43(RnBqiKiUG4n05EtlAgKIfOCIIJcbpkWb34bGfsimXzTTBfMiNs3q3ljNLw8EskBVugRWaTkrjjn3ojdzb8dEQnQXYepS)EV1XT0uj8dMmNLI9LgsIDrPVGTLH8U(GZkIRnNJ3qjbKx7mo)aioSf4ezdjRHsqgo6ycJAaNHNSnukz2QRhrg0OI6fho9FGfppdIJawKusUzjrUDH(FHcoLsb3WwfCTjSeqsDczJezqMaUFRcoU0ao0Q7hLPoHK6e84jeINqHEcjnFd0)Vb8)zuiTRass94TJnUj8coSJ(Yu60USrMXLeB5kMaMThNgKFo))z53(SM2VmCn5JvjKImrg8A(18XVh1i6KjfGnO0L6sGy9jnreYQzwGAscOO8NnEYzu3TFBQDiYBNcUkXiPQXufDtkw6wQpNh)D)0S2C29CXC(Pgb(8oiFmR7FUHCBjQLQXh3TRRYaofm)7HqUUK5FnHEHroVbgprIFTZPecJMJvDVYjm(KQ0JdiEktZ8qboziHXJBs1MIHFHtgqG0k9dabPx4PJH1egmO9S)4Mh)9jQmAFB(X3aD18lJc6)vtHh4fXVlg2MYsa0k(MkzNQz3Qi17IZqumJdILNLxh(Fwhc485E66baeq33IXAhb9lZhNsXDsN7uEXwpeah2SLweTODKVE(KXtV6UV(u2FAqCBTLXekSR4Jrknlm4DQyN(PbmHbmmFa5mrw3jrvxtkrkREq5XdRDtc04cY7wcHjNkSBM(Wi8TszOsAizLrf10X3xScyj35FFHMeUbVWJOA10VONx16x9YWeUDwEB5TGf4N28MOVqvx8MwkUU7ujTDTDfXOz9DtzVH0yNrLqVMAGx4RIDCPfqZ1SRlPE2sYVjq(3rismgLDbhzIYTr5A20Dz4)ZjLIm7vIuRkZxi(o8lbXi0hk)sX2hTXFRplg)ZHZTtUIY3j(1PaVhTKD4CNM9vAzh)p)r0D(nAh(xyHGeo7UQTWiRUUbJGTgXT(jGjc1m)FD8D3Hlc93Lh4NtMUWDW0rJXFF89ZCPFzXGVI)y0TdMoDmn8B(8K7UAzXDLJpIkm0T5xUfwlt6jdZrnq7siK4TOZBIx6XyWZ)xI8xxaZNpHrI)rRz5pLAasRBEhiPykt)SMlqPVBtKd)xUDc(xJjqDfbcvCr8djUDyweUv8TUR3QKPrdfkku1VtfS9rOPy19imPHI18iD5YlV8qC0w)a2Lx(DimwCG)w2)7p',
		PROFILE1NAME = 'Retail Pack v2.0',
		PROFILE1TEASER = true, --* Will show the button with 'Coming Soon™' if you have this enabled and the value of the name above set to ''
		PRIVATE1 = '!E1!D94UQommmy43OcHqxYyGS2H6oRISJcXeF7yRek5PVY9YH2Iw(L0V(Ke0axafAyBmOXCnXJL)wPQQWyWq9s5EqLi(L6F3fjJLqvwSHsDcTZUVJ5XQMcO2rGUAiHzZSNc8zYh3O8WZEcmZmzw6J3uccXRaNAh(ysbmJo3vt0NCetWPM2dhBbva9uYHmv(Dz4AglF)j61PP61QgP3s(raDDPSDtWCp',
		PRIVATE1NAME = 'Retail Pack v2.0',
		PRIVATE1TEASER = true, --* Will show the button with 'Coming Soon™' if you have this enabled and the value of the name above set to ''
		--* Classic/Cata Profile
		PROFILE2 = '!E1!vZtAZjoYs(Rz)gUdDlWBeBSGn2MynGxGE8RNjA6UakmASqIvs4JjEr)BFZmlDusQeipVEIyE9mX02svv59rLzQzP(YflNVHLWwXIIXF(apz4Bh4rE8G1C8bV6Tjz3YjgA6lNNWFl5MWO9SKLZV6ZZg3)FSe(PKDrC4jWA3X9EAxcU4LZ3ggaVZqtZ4hFFqO)MLZ5bSv(8LRYptldtC)8sWtggpmC2vdNapmEx4R3ZFH7VCG4KN79h8Lt01ZGdGZr844xzVlw8GJRayfJlxIaGfUlmimcHto2apmIF4yclXlmq6ndAaxQdWYqG9ha1KWL5h6wkOEdndy5WgEIhWJy(eXhMW3tYHNIcFnz31Er81eEn)UPZg9RtNSO)9afEGT2l4j4GHFM4eMA4j9)DKFKphOKJ0zeVMbqCI2NaW)(0TBJ5aUCHnUsVGeEu0Xdj9dccpIS(5Z6p66uMBY7W(Mpz6KHa5CmjCg)aZlc4b33)ldNTC(EVaV9Sdim8dxtmUfaRA5CalFS4z3uiOCaqUomGqRnEB36T(OFY74V9wgI1tcH7jJW6iFAo(QGnSijct)tw2shqjQK2ZEMNFjyCHL0MnLwpj5sIyRFg5RYBXWLGUplo(oMpDChcJ9ecLbtxSy64zJU9UfczPqAaA94VSkmjjC)dSaqVfK7RGtFtu4HTSn81H(c1qgsUD1O)OR3ZqRhGwRWhQz3TRHPTrplDDxhGqFs5tJu9ua4VW8pwaMvKUIqJjkLC9dFYlypOeZEI0lbL29cJSfs)YnvTJtkOe5Jhqcxz0OBgcx9PrQEkY9z(iZ)ooBZnrS985zkdivY2Sjm4QW9hyrj75bcVnEBqR0evMKm)KhcFLhnqOWuZzeANU9zH1)(Wx4cNFd9F5Z38TBcxFm(kwCc4tCm(Um5CNpp6bwea9oP)UwhthGIgCe0vsx5IPpqQdDWZkB55p8cdnZoxaYGfSON45OyzOiVZ0hPBQ1XOhaQXSxjOnG7h(6yHzyviRaSwW)cUiMpimoEWrqRm4uqZSJb4zE(9HHjKKOe6D)WBwOyt0JnCD6y5cIRFnmG3FLNVhyJ3eZdGIRl4YiCThZFmp4yjWuNjk)CGGm7QNjWMX82aXTk4dNchboPRPt2wfYH(hJyNvgyOda1Wy58RHvlOnzUZPy)6MGu3wphHFGNOs)6uOTJDVogDb(1VW35T2Nphc52ciJc(U2PcEwaeOPytLwpOldOzpbgocw6Z1rnv4LfORa76XfqyTK17ekxfQ0NXCqhSieQAXXxb2OrH(NZIZYba3)BrGUMONlaDriwNKkIERPOUw0(6p4BwTvF0XSdiEFqo7PpgxOK2Sr7rvGeNLN(YhcKq(hZ7xXVAluP0b(QPn4mz6QFhto5fEfZGAQXzpRlQJH82btgUOfqcuEnSaNEGN(Tj9hCkJtTo0b3hEgdJGWBjFauErQXnxV)PpIxiWxIUlWjMHP5D1UCls5fPENgoGNsij6W9RcBtaaqV3YitdPFCSx8PC3L9ma)UW0sdnprTQXSONHiDa86hSExyR87yP50b1nxeE4koM0iAMY8oTJKEa)CbDRG2qBxy3rhfZP(g9zVdqrv4xv71WOBhdmi898T1fbNIY07yasGBhxHpwJjIUqroiE4THCaDceFECrA45CxIzm9wyAI(efSdkzKwatttYl8vhJHuohUhUhr9q3NqHeoain75cMFRtlrW9DHnEfMFCR2ciSnb(5yV1rHkdaQul00OJbPhp8nil9r4TKaOz2oJCqcARbSN((vZ4szuqN6aY4J4vWQJn6A9pzGa9uZ8rFB24Qm0Zbyt3oALZS5SYdmRgJUo1O4whSK0Bg(c88fHmzVs1zSDnlJCTefnTbt1EMzHKDoJ6vpNSvACAtg38O86N5iXS(UA83gp9xWB)EstFmWOCY5TXDPzPy)MTLZtPP84IBbZ8YExQQDrm)Y(xpltxyAJkg9Js82YwN0ATyZcrnWBnBRYBVUD0Z2K9zei29Yte(Eo7fEL70uNy00frQHe0oDIea2RB1RSEABdgr2sOV)(Isa1AogLOJngKfS(wGvHOQeQbnThzqo3kVfsdIguBttdV)z5lB324exGuOoQ2bVK9uyqrUNK5F9dtzk8oL1gB19VinstrUiH(jEh(qUgbD5Ufs18B3CUSNmSsV18hkPsBuG6yLkqBvyrDDuXZs6gITorghhi6TwXwHu5FV1B2SlezfTw77ZJA66(Q2OTJRO6hxZx9bR)rpnm(VYAxOEx6O)lSkCHbWYtEG9KO0URypr1TzD4XGePQnAGLi1dVTlvTq6HDPsYHL1AuW2qCXtpM4dEMHlY85f3pcR1P8BfLlIGH4unDRuvmjGToIDyeGDisLJmzNaeBCty0TrS3JlvE5eP1whxwbkPfaEFya)9Ssrp4(r)6V2F211QsNCfWk9Q6h)VFm45mmMkyUxWMfVFGlOGq)nHVgKv5S4YLqtuPtzEvoNajPDIEbahAeMqoif8JXYlMWwPgvaj1Ve6To1joTweJUdUJtyevJ4Vm8(7XhtLOg(7rtMVO)KRgI)8WXtxq)W8(Fb)RRUR)KjdPLF7NhD)1IA8H1CfF0bSyS3L1McBZ0NmiTGMlNF3ORhcA53TC(gEmlbCmLWjSB06uCJ2WvY1V9Nt9pPZ9X0oJOzRQdkRfStYuLekpE3iSXelNpb0pefrDvTc2se)c2Q4jH505QsTrbus5WvgaN4LPsyt57G0xpg4LSf9rKPruCa4RiCkbuCR1GfmVgQMTHrE)bMsK)8SEyGPMeTr4ezPY(RimG1DLlKVzx5g18ErpasOENC8WCPEKef6tYVsf2xt(a2W2dovIqk)9IfGyo43)9174RFo7aKEFgMzl3taSlrGibLO4LniQovHJWU02)Gobds5KvBOav)Eqg7TUcFAhN5dBUczKJrnGhi33Rk5FHLE1UcHffNkTGkXNXpbXxb)USGSS4l44(Brjym40(FJeM)5KnkfZNsV4dim3I1oiHsHvG4m)hI4WUR0PZvILlwzX6LeQYkd5mc5hMYhWQrIEBk)EaNdEkDHzKg2A1VTnnG2VHp9skIXxXfL3hzir8CCGrxW5Hqpu)cYnqIgpb2kAoDPoAUwKopUY4dSONL6jRUBpjO3fpEbgoJVhUfhkGO(yko7tYqRRWyQKLrG8plpRe3s0d4dcHxR4ZNM5uitBpT(NsNOWYPm2UJDaYnaCJCjYZlrRPHmPBpur6dUpIcFnM6hmAspfmXIWwfobVX0AFV1pVyh4u5PDOVIdWldFLCSiL4MS7RIEe3ZbbQk1N1uz3wqJlqGS7ZbQCikf4uRK6UMsfUmfLEAz2)ZsDbk3LFSF2jn5fQmFfO5Dh(6)Xp(()8F(JV)BIDC56Jryw3cTdQ5XFv2beLjocaSK1SKm)NP972raIJrCCWqMN6QIHnktWPyGFL17wecxxy4I(xD3WRlpDe7zVnaNafuOTHJRLV5Xs09mECouXo)2pzm7T8zcjh64YaUMHSZr38PKWOASgfwahE5qo1j3cAvbVqD7c9dXDuYvfiPdeY81F8DSUo)47uunjUbSgKJCNqKvzUtkex02U8hF))IcfEjQa81YrUQRI97aw4T997Yd1qRPEU3fKIDreqkpEbwrJ1XIYqR4SXAUF2twx2QVIbEjvVVMJaDf(2BPphH(YnrH7PRVszauvfsxsDZUM9aEsxcwfRrSq8R0On81stuICaFuPCoeB9PNQ73JMvKu9Ef4wCcCNcw)Gn5ZAbLrT43Mq8(857XPmAxHSsNFQC))onfTmthObpCXGf)yEYUq4Ucx)5z9xmA6ezvdSIQfgW3nS)949JetO0xGTm9XjYmktIgaZOAE0fIvubMM7S)fZMmhbnnpDkKkZXQwELimhfakBSeftiwdjD(bs1Si9szJPwMQPQaR)5t68u5xMhmc4WV4f7Lnfh)2)nk3C6eeYFdUIq8xfpWqVt6V)JVJUL)pJjhEFO8uvMYz109WIovnGULJSVLcvuHTM8iK5k4RrGTNxzhAxaxg34NEKtyXHyZFsNQW5cSVHyNjNnu5zcpQEqdtuNGx54tn4MhhyVpQFExNMJHr(e926jgmW085Y4a6TXDVSJ3tKClB1Qi(lYoUneHLRLxBjgxdPEjNR)5CYMAc1G30M8F(pKsTk3UVWEXOU8URvJbulfUYiZxBMvybkKfpiF1M25cJuBYdY3e8C3CeRxlRI9BXauw1Q1u2d1foLO8QHloJsrJ3COsIff6pgg2uSPfrEbplOobHBPj7zuHMfG)VxC1PtCjsce5wKskwQ0NW(lOwFsOwuH3P3vw4lZJlmD1sLGyFaoLt1Cf2YqWwgc5xMYu(QsjL9Lgl8VqZaa(omeGOXoKgkPgfNN8RSkz24YkJ(wYYbzkSUmrKKM8TAbVYfJxC6RJ3dCcFm9QVwDIFLn)lCDL5GaLDnewnrPV1mSoFH9uFPDPaVuGHM0hAiFTcmv2msHlgiSboSIeKqcqP4)qKheQcdXxlNUYAggAv9OitN5IYKpqIDYvPo9aknv2Mzqu9nEfvbO2OYJi)3erCPS8ga02SP3pSH04mZZnJ8f1MIeMwQL6(RDCuE5I0BtKCMSmZu8W(XvlPvJZx)3AQBP5RO6I8iUegxT0zN3dKPDzRYmVc2vTTk(ifCuf(nDg5pHd39Gx)J7l58wt7S(8ZUgNSrfIZ1RpKHSJoP6avin1R6xkTKJvnijXlD4cKGY2H6KgLSL4HRk6Kc(LgeGHnaeLMijAT4MMXJdpceaDyJNo5)b(7j0LLOwmP4tcqmq)iVCIrlxNzlxNvlxNDlxNt7whXK34fdwFbGjnFt(26AR1RRMzpdDBhC0uOgS5M(RgUw2PhYNCDSKAWg5TMD4WpNtIe2PI03P09Pkack4uaqrNbhisPhsAhhxFbyVX1fC35A0thoo4)ASC7f2wiSVX2Y1QNJLLJPLEpaRW3yIyWno96z21WUNJMTDx7S3KusfkD(uOYzM5s6MPx9555KBbZgOMmY12QNMoCWUDTmXloq0R0JmDjan7ZtgD13Ey6JqgJ5NhWHYzGUPNx1hgP4HOHZKHZU9l)uoQX9N0p)GQG5PIuPTGdoEQk28z9VDy(o1szmcXC6wtbQJJeytB9njRl(0xUXY2q3WrRRMHPBpxHmQBfLAAttchL9DxLPsObsDqTqZ0fsS3Wc3kzpCJvpqj0OhOX4Oz0TNB6BY(4DWJl)W4BUs(lXPa034cQzgam0S0DaTl6uCtJYLNr9G(xNZl07zx8NmnfGHw8NUfiXKHFEXS(3NVzZuJhb7kDZ9kzcvS5BNoTaSw52I4(L5DFYssSsxwojZn73YDPU4Ntl4LSPslkBzF19f3sNCTxegQril7sRHBplc9EheMYhdvHXlPmbWpjZKS7OxpGd1DE6DdOVXmCAAeFNzZx4HL(GMiD1pfNJ5RHJx8Mf4xZ3MnyoSL6odf4CoMJq0grE8(uraiZoXS7KFafBlF1jIIgiHb3YGeiIPuEtNu7sirbCwjnJckqibAm)94e((cC)wXh1L42OKIDA2gWFjc3rdxIC9(2Zwh1WCajUYYmEcoGHi03fM8mo)nQhuhb(kF2c8EdfyqDo8Rsh2LjUsyIQLKodqichEmMtZl1Gto5qfiB5ZJadQurJoLa(pWJMLM2ZQst6bW3CuW3UW8VqgNwbJBqJmUMywszxDcEJcEqkdUBJmob3aUm4IpksDco1jWXtWepHa9eCAbb09Vb4)zeinlaItyIbPhjcM)HD03nBVM5nQuUuOlxsfWUz)0a)R3)oZ)2N(5wu4UMSXk5srfldED2iHbNsqiDBL8KnOORMksX6tgYznRNQbAOWHI2FH(tAUN(TW77PgnZYknTY(mbVrpnW6dFZljDE1xCoFo)u9aFEdKpM29pxxUn41s36JB21wEGac2)9GjxLZ8VgtpxbhhnZtg434CcHGWz4O6u6ggFsxzE2Y3Y0oZvqV0u3XRBs9KGJFNr9PK0kSdagjl40(WQNgmi9C)4Qh)9XRmQFB)XjG2Q(LcbZ)QHWdI(O0gfBBvbaA0)zPOtv0B1uADjqiYNXb5YClQg8pRlbCgJ8pWfaKYUVbL1wM0VkBCk82jnUtefG9GpCzZgklF(CDFZSrdNC99F5BP)FbMfnoZLsf7v(XiKMg4)E5BpxCfVkT6t0aBVeFU0Ye3nrfqdQpv6u568ZMYMYTSmNAM8Wv4BvcOcSubUHcQjdhNFcyBkeFVyLQVV0KoN3JJULBxNu15fZ16CUVxs9gvCHUPCZFYNeMef9lZTeNWUk1umtr1OmQS6v4KIcFLtXfAa1pZ2EKMPhPycqeFrxeBmuOnKKYk3gMPBKSln))mqPPsFLa1QI4fYVd)MvUcTHYAy3(WnEB94r4)Npc)YpiTxPV(fShFX7W9or8fiHf1TAptu0TlZgn7v9PkjnWat6pgD94TNxYIvGTzp(CjQsRw2orbg2CUXFiOKV6cYzp7ThJyhenyPbkrfxi304vy393MWJsvCX)z5LxEikCRNp)YlFdCWe57TL))d',
		PROFILE2NAME = 'Classic/Cata Pack v2.0',
		PROFILE2TEASER = true, --* Will show the button with 'Coming Soon™' if you have this enabled and the value of the name above set to ''
		PRIVATE2 = '!E1!D5utlimmm0)rcJHx2XbE1l1Zrs7EdlRRR2MjY(1BQOIk5YlVpsEudDImSt8lrlNRlZC56kQOIWrh6v6EYKG8c9XDr3eDmrEgPalOuJHiBdGSvfFupsiC2TmNcqaDSPD3(w92tQu1Tn43248W)jDxGBQF5UrnQm6xr7HV051mx(TVdWUoowBL5nqEouxxk7VPf8b',
		PRIVATE2NAME = 'Classic/Cata Pack v2.0',
		PRIVATE2TEASER = false, --* Will show the button with 'Coming Soon™' if you have this enabled and the value of the name above set to ''
		-- AURAFILTERS = '!E1!lodJlK4kjU4SYQ0YmNssTOIb8d', --* xScarlife Aura Filters is technically empty and not setup to be used in the codebase.
		-- STYLEFILTERS = '', --* xScarlife never supplied Nameplate Style Filters export string and not setup to be used in the codebase.
		BLACKLISTEDKEYS = {
			profile = {
				chat = {
					hideVoiceButtons = true,
				},
			},
		},
	},
	--[[
		## Details Profile Strings Help
		##
		## 1) Open the Details! options panel.
		## 2) Click the "Options" section.
		## 3) Click the "Profiles" section.
		## 4) Click "Export Profile" button.
		## 5) Copy this string it generates and paste it below, replacing the contents in the quotation marks for the key "ProfileString".
		## 6) (Optional) If you decide to change the profile name that the users will see for this profile, replace the contents in the quotation marks for the key "ProfileTitle".
	]]
	Details = {
		ProfileTitle = 'xScarlife',
		ProfileString = 'T33AZTnssc(J5IlMUNySwuafE5iUpqzrARZsu(ePBVteoemijejgbcWda0QzF96F7xMz9afabF4UTND2yDm9yjrIQQSYkFNvM4b2dtFyYMYIhtZsWFTAvXZrXLj5XrLfzjrPZlYFy2dt2wLevMeNvNUozXMk8JkHN8X4fWZKdJCm7HjWVm2(HXwxy)qnmv1WawNugbtXJPlXz)X4QA4d2UzrCDcnj)F3Mo)POfj1jZRtflvzsvsDu1MK5rZJNVkb)S8IO4SKYAAmlsRINbW26D1RsNhTyB(YKgOmopDDmoxrXZNNK9WLiSKVfaK05Xzrv7aqynbU4txnh2MzILDtrzD0kytgLLM)KypMSU4ZID(6OhllwhLdBjyoNSofwNTRJGVUmold2KRNfxhH4hyYTaOmjUEvuDrbGZ2e9C6I6vpm2X1sVs1frpVQ4HjiERQooFEsvuvYY1j51vrzfZFkzbUq4KNMhvKNats(IINRamzTa6HvSolzzzX28fWylbyjAtCj8BiWVPkkE2SYKpNs4dy1FyYZfLzluaBAvuDzC1kc1rNjiAhw2r(2wU(UbH(C7qplp7hE8fUUpmzwrXtRJlFkQo5xHJO0Fd3RaMSbNtJpcqoWe)za7dedC39X)WpwpRiRcg626cKWyHATHrWC7I(QGD1tiykrbhLWRbDc4YTrZZqsmaBxSjHOs0hzzjXLr5jppFf8Njave(T4jyu9Unj4uobqkX0dMVDdCOSSyBn(qnlbqzMLotawesxWlfvbB)Onfv4r4IKhJ3MvhnBjqfVzvmcPWwKW9i3XCaZNd)FI4ojFhqvwuc03jvvXlf8j4YTiUeoLFkn3KjajuIaoaGgyt0ST11f50a6CKah(oQp0KQxnniZA98vcACeRplUuWai45JaMEaGaUxKpgGwyqlWh4XI8AypKvukolW)ZM(xh6F54)chkczkQbEPCGvRIr82KX3nEO6Jeuvbalwl(7iJfTkE9geOPhf2xpwcCLadqDDA(YkTCS6uG7axly3bNJpm5M7(aCcvauNpmz6DVd(cGKmHiHumOwad6Uhg)cgYd)RWjfq1hp)PfLfBATnTeuC020I2MsQVgo3vjPlxvdpNd(50M7X45jpmzuz6V9Lp9)zB8ceS(YNMcamXrv84JWMGi8K8JaOcS1XeJeSrl2GhPa5pUHj5aWmVgesvUlc(Ohg7Xj6kGMifzZYs(mjcCYMpVjkUkIitiss55UGWv85eTQGPqsqPoPkNdYvbb0FoTEhjIlcMp8RmKCTDZgqYTsIcI3MNfd)nQbb(61al2dtUg3ois4JdwS4U8QpEvsDCAw1hb6sGs)J0qs0pUA7kzVMACGv3JuN4Fvj1XXGpoQOmDzAoIdb86MS4DGuYfI1TVzEcXInzy2NF)14HFjjTBBjCWn5PDGQHKwhNe5gkOPQ3d2AHiUOQNJ3GcHwSd0Gau1sHqe1SsOF8AqqoC8ZbKhCWblaDu(hMNJycaw9NxaNb1alpCSTgNaCt0MA(cMucQysOFYfeD1NKx16Ku30cQ4hyE9dAefLIY(yCW9ZqEbmVY9GNAt4j3fCFdwZznSMe7UK13g0nxlbv9jUK(8lFAsciadi)papOMrqana8hrs)NI2UucuZ4VT7HrVG77z767W95w28a7aqZk3bL0mkWL54BXczmppVapF538mOnM5564GQK9DzUUO2yuP6kym8qpBlNqMLvGNNRh(nE0rpGzeljs0)RcrCY9lUxTSeWnHLbqVEBLuIpPZuY0IhVJ8H5LXcDdy2(b2wie7s8xWrdYDGtrUEKasyvdDP8ebwN0fKcvyjbTGLpmYZpGfeYaG31l0lGMvGU4XTzzZkkxaSOcIlst5ky0rGQxqaP02fC9OtFToVJYji1Or7RiYw3tkkYCivr2OfFa9Aei4efHyAHgz1jYJhNLUmpAnOQpncziaIwsF0Li1WZG4x0ceXyQEofv3IMHG2zxHM4zSZqtwQxbIGxUsPnMGdsZEnmTWUwqLAkAaNxbt6mfgNj1SCgslMVTQgv(Jt6K)FODU)hAUq0mEsdoUg0ek41hmFoSm51XzF5tVde)J)X8DThw2Za6ISSYWOrxu8TbLYlaf(iu5OjkPrJlNy3fzcEZATcZwkmYxtrEmUx4eISTcvnHZbsAr2TLTfusqAiFgoKlL(JqwxIenlsQaMeqiK0ceX53IyKyrW30M8qrWlTynsOEzuGVJxyGDyOFOTBqGIzIiWjFTUSHyvFcAWuCCtqycZb0mWARndTj(UzhKVtUFqVFGvPnXyZsoYZYI7hg6A5Wa3c8y4O5iyCOVX5GFd)HrUwCULJnJdIVS8T4IVPwXVJarUKgxit1qhyAoOaTIo6aZJ2sQHqzAaSCMpOZ5(G8Z9bDp3h07CFq)Z9bdo3hm8CFqqR(5(KN9zd7SpCyN9Pd7SpEyN75J0IhP4BsCIJsXg4cFlwSdlyfMLLLXZq646In4Iam1OGEyrvsrilnNe)yciIc(9V8PBswcID(YNUmbT2r5vMqhNHabW7TcqWcfufuuXrHcJD8j0fqBDqaiiQpwPfwPDVLecLvOMOiBnkY3YefjwPlXf6sCDUe5OUe5wUe5eWPEdQmz8lS16VUSVZaWr71Pnoj9c0Utzaci7SIINLMLwNcgHHoaGEmMSw(xc7owEk5Fn6JJFeJu1ZPBiYJjKfsxgxob8VybUAZtq7havmdNo46BMenz6GPVFYLdUp6D38(xF94OxDZDV6Ta2Km08Wp27U6Dt02uIt8XFYPA3fMQcrbIAgDuTX4tmaTnr7yKyWsJdMOTIh)RxDslfo62zYWxF7WXt)tdOSVZaQ445pluA)nbkrVosE8SqR1DmoSeJh4S22nR4yv(KOeF02GlBFj0atjkgufHWUCDCnBTfAgBJzVcZ9jlmAlwTixWBOSDcSBRGcwaz6fkeu8uzjaZKecAl05mSYXiwADqjnXIRJKSg)jA98P5cBDaaANWu9Q84nIGSkSllxhDx15CNpVbsqj6stvXi72YT1M4ekCmJcW0Ox4ZbXqUEo22GKjlokrYZvhMQlVB607U9(RF9B0XO4agrsHCx6ihaBps()jGSdyPffjuWA1V5g3jCTuisfibPi3kqR)sdLdrvfTajwB5T4lOTIH92uyCjpFqNSiup9jtLSnZuszNzSSslZBBkRoWb77HWRPGORCigwdfDkTOZ3wcoquJap6FGiljQWpr4z4pEyYOyqbTHWCcpqA9RWi(32Tcd8tBOSnXf5Csrv684I)LpAciUrr5HO47rN2PiMHUMIz05889MEuH9vY9lnD3yoDYJqGEy5QmHs2MPDuzAs(IQryiA(47V(fY)(M0Q6x8MMb0AsLbDedwAs5Ck6Bk29ht)vGm8KgpjnKzQIEe5WjkukkYj1pNKKJ)UCLJ2PmLXQz7GKOYe6iIFQybN1lWEock1rMRpCFHbUNe8)X(v6DrD9JywAiQxruuqXPTTftXDrMhD64nSppiyF1LKS6V8j7wAu0XzSUDGhbc61flsYidN2Ubo3IO)gmyBtswgUBsxCzjLkj47tkFDjCeCXT2ySaFU5P)aMvSpo8F)Ddgp567gBz)XRU7URgC1KpcQVxexwg)XxD3nxn4(7haMn8(jxS2wTEMj0rmNgWT4d0pctnOMhrte2o6lyANy)hx8Lpr)MZ)b9dBv8ymphuSc3GXkoVcS)vhIeD(hynKxDPbUue9Sp(H3C90Hb)7bYOD06W1IuSaYVe2e3Ev7p6msflDcqRVm(S(YWZ6lIoRcjCVqUkUv33NH6osuA4w)kIPxN0lqJe8rBNqV6m1smJI6oSI)KmjXAXrMcEm0YFGKM3i2GE(dYRQjcOjkF76zIiFjjCyAAKgbcvnqBFuoF5t)KKK5VPPH(F(ZDHitznhtqYixoZ2111XZ3jWXYXtKoy9rs)0asORdmROm0C)VctUQH0GjfzPl6vE4boJ)qs8tdalfQ(4TjlsJ)4uXiR(4eT1qTxdJ5S1YF)xVW18c9HnrmjzzApgD2p1eh9i80ibkhZVdIqYeLQzen4wXRzr0Mk59SO5SOkztmyrfSPM836shVh2fbBHnBVHs8oGr2eVrKlQw2nEi57Td7W8cqYEledRvUt9fz0J80ycXDkfFnkWY21YoiG5hW9SdLwLmrKAt0EetrWIC5mIh6h4gYc8z(HU2K9UCUiraaAnct1rxFwY2H2CPtqkDSAGoU(v3nEYhVE8Veb(XKMfnfau0KVtemfDmPnt(fzrypbAgL10B2d6gz7oYvT13(bHCvBjonGGbrerpq6O8TD5UwHUCRqFapfkqucdiTcCc9C8SS9DT9dmmG02kemq01YYg(b3QLbKG5M(bbOPLmVG)jKoQWFKoQ)ly6OAYc039So1ozshoPtNBAY(r6O(r6O(r6O(r6O(r6O6pDugBOtMzQFKoQ)RF6OsREt6IfIBw7)sNAQPV5(HdM(nfK)NwsQ(MbX)ZkHvsK9)1iDv6er1jfvMjVYiPw)3Z0vnI7YTD85bU8WWagNlD77)gMcRz)ifwF7sH1)IfbcZuyDO46(Ditw9ex7ZjK4)HZu1EXm8hjKQjltDVXuhjlv)iHu)NucP(QY06300u1tcJ3pjrFRtkv7eoTFAQoDIyme48NnVu)btwYjt)YxtMS6MVOVhz26MV2Sx9N(Yi89iJx7NdUM8k(Ve5VQVKl)DpfwMoaCozZ6hPW6)etHvD3I2flwSMA2gfdvHrWzY84n0KJLTkIEWWdjV7rzzZbAkrPBxnNSOcZhaWgjkYKKYLK)ucRUfMxjci2TyPEhNbSRPZfaszQOCLZarp0URvzjJ1iSOUKXFZOWKv1mERAf3TPiBXASvK4czApMzyDHrDgIbUCpuIS4KbGjp5zvDDsMLmTrZlZnOPuxf3NM5zfBbPKcexdcamQ)PK8iGcTeld38LKHVuDdRQO4MSjaC0R3O8upWqiRTGd6fmIYD(kCxhplkb0KSOd57ot17)AlttHrqLDp6Hkaj6YwvyUYIK4fWMpIQysm6A2TQ4AbDgCeyfYz02fvwVknjBrLi5wcPraVnHIFZ7hpD49TfbEbOKqvsH4VjQ2xspXhaBWU(Ud(8YNLjE47V71VFydnph8v2lW3voihFMvOJFVJ82bVUzG0SB3zk2FmVB40tpKlOfKlK9Gr05(3F9v6H1as0y5akKB51)M727g)2M9MEt5fAoKl0OpCwPiiny6BE7yk4a9aShAydhp82)(bpK6SNM8Mb3oy8zGl6E4((XVD8DFONn1HWEV7(Rhoz6zEc3ZY967V79V7D3m4V3qbEgR6aqoeg5SdUUwGoNaFEq)dhiHLXz8Co03dQVAiCY3MRrDQ7iNIdDk(g0pQZDD7a1WIo5ymQDE8H)YDV1aaDTCcfZnnSdqs)Ub3m4QRhFW1OZ(bJaxr98IsqzcMKfYJKPIOHiLvjl7EqSTo1SnbaSLHr7jk6cpLJjboY1N3NiOl8du7kvXCZD6z3CrOQEPDv7hFN9K1WvfgUI4jKeLp4(HJhe93hEZnA(dtthoofnxDcRaVUcEyAsa5tyX7kHP1I5gEirj((6dnfG50v2OthWPhzgQNq9ib(DfNRa5qvTNZz9jbzpZC6k0yVi10L70vD66Q29(H7jreoLymFtVDUWIf61yoRoe6S(zG9uNrSWwRYKH3msgR1algyql3Y1YIZcOBlUlHkh56hAh456gY9aVQC8BI1A)JbM3XdF)07hCtFKs9W9ARPpuuLU(Eg0LV((Hdh3HCJzqSHH0SSiEXCr)iYmCpKX1TBBo2MTObmuQGzxvIWTjm9c8wFZkW2Wlv90f6Pe9oOE6flrGvXlxMuQAwfUn9uarBCbCQJmKRtJHaBFevuMkWgebzmjf4FWYFrpU5zY(QIffeSvgViLmw0ZslcsnQ3vu9Wi4Wb0jyhAB7WcSbHkIOOkUOnyWkRfjLd)BvagB1EDu9Rcmf0X)6HS5K720Jfa9sgDSK6vG3HRkYwqRd5)c2NsESmEzvFnNgrIH6Tf(aEeUCL0(E8leT5dYoAPdrQMyLzyVRA1(n2aF(CkcCMD(g0OCrgzuHtxErV2jdnCDs8Avu1pU9)c57yGImm4CSNTHQEwORdRhn(Du6oMX98Bej0vl2fQh2t80EogkzD7OuU7uJ9bJZXAw4bzhXKTUpR9rmOP9Zc7TGgbr6N2)aBoB3MDNYKhw)Wa)CnRhEw3JzoA3h3Z7RW4vyYp2z3(pTb2WXoGTpgz)HeEm4rBzuG8X9o4j(EpRRV)XSmT7zJbXDpasBB0g7gWocD6Etn)ipCNz22Z9iy89EyVJr(T3t3Gq0GrWHF6JsAVhzOx4HOT3)z9TogG09XnE6dl2PlHfZY(Wi92CB(Sdc5DWjmlNdF40zsTpiHAhYdMf)ii6UcC8DogQRZuB8W9qtVhzQZ57jha1Uhbq6ioZJDMo)aYd8ocVs3d5gELt5WZydEW9zR6qXzeXQhZIxkIJ4EkYNvurrutgAVQ5RswlRbMM7wLQTaIwDyClR82)kNbqQ2nhhTT5oHEAPAQ7JTA(2KGbrcJjBxJaxLeJMbCGKRc2CZ8927EF0KRdnnJgGyAaI1aqc3e)CAvr55CDKPicIX5sNsIMa(cE5CZnxE3DV9Ju2hXU34lEx8YKxWuXPg7eGjj5YAdaNxxlFzcWEHJR0xi5gV5E531ZjL)Oo6nbyt4mX1PBSVmDMyYjWlwi2Bdv5nvykLihETrM(DXKTBHy(Tp0QJlxQo30jOaPu(G4zFd9dD45bBZZGZvWu6j4DHu(POL5fYl0iypOoBWvBNrx3JM8hCzZJiBrz0doVy9648fYg0j(ehUJO9vC1Hep5rteTJENDOm4OX2NrlJtAx)m9AlXfCYo)0142EDs9QIfnyl9f9xchY7(ZSIAkNLAY0g7EbxiDDdS4U2oyBfZ2HZBUUobo2GoBBBEqaWB4yjDU0bR)dFoZHZ89DC9yHoIm2jU)2GHmG3LUHw2GxNH67Vnrr0Ggv5XzY9I7IodfWo5gYjzFY8kWBCJ)4sJhRU1wXuotqN4Key0uiR72ptpwjbO86r0hCB85HAfPGBRpjjgWWHtjEoj7XMlLrJ3zQ5HsDJonJZAcyoD)vfIHfqh(HnrFArYSTp(4dt2STCdMxnXFvLM9z8IM(iLeZSDpMIBJfXLpvugJTqvroxMSeLRGSeG7D49JAYUe8scRZVciGFHaZSmRyw8vIB4IeqktMl8SvCvMKoOHWERAlb(US0htIK3cgHxBzjFMUfHISR4l4GK9Hszdfg1GScefTPeZRZx(0CGCFEk4jo3hmV1cR9yyVuSu8bEH0XE661IyMqAiWRrnELIihnffacMrbvsH0lek4c71X1rj54YGHBGEgGbPiJArXvOp6(wmxppBW9yXT1clnhuDOo8GyoQ(1nHw1juMwaevwsDI8oIfn9v3DPiLvs9MpVkbpxE97V(MRmH9Tang5bAACwZTvqolY07ObaDHTeVDz0g4alDoEx2eWV8CSjlCn6qyx47bC08qVM45k6yNyYJe3zSMMcDtJ3SDpLKy1aX6i(2qlp2nO3mhqXI7Q5cbsUzhQ2C4ov29DbskK0gjmtZxUaBLYRtZL5yBmhVcyYBhxeGJJkJHzxFCrBkBFhXDVY3kK(PNfDFXbhTSL)0s85mU879PFgyl(BF7aXpDeFUNJyECdupNLC(dKFVR48eiJM)eO6fedKuktdhbGY7ewTm5MryteEjgvfj9wfYrm2Yy)Vxt4uepcr)CfJxYcXf(UjkQJaksW6ClxUnh8kx0riSKf1sRh01jmWLBbosa7u5nYJPlWdzWfhbueW8b4ehMVTpddmOJFtaShbQdCywwoHChyrDq9byBlwf46rawJ7hAB5b4rqHbUkobYawpcMzF)appEaCOiVUGw6ORoYLXXBlOLNJpOLGgl3whNxy0o(oWXKTpp01JuRGFnfY5rEU(O)rGEixpxMTASQqZoI755W9GNWIhcAnSKlTzGvh5c6RSzwHbaNoOvZsEBgBHf9TaHn(b2HmpqDOTJ8UqkcnoAfVta)cVahDarHdixaCD8aTHH2bIBwaxfz6rGWmxpoicdNshr7bXwxFoAiZbbnBBhBMRf8WsOxFQ45bhj(GsvqNRVVDyBSoYNZ94HoU4)YLxTbbipcgLRlOH3oau1JoHlgQg6DS4Cxx8iHZTduhzcKo31dV5daTa3XwssjVKMQ(x(Iis5bi5gadm0LGKRYurQ)3MtTgBP(tmaJRJbM(vjzB0FOpSzN8HRhF1DFiIsur0TdE71JFnYRRVB7xpE0DrtF)07U)6b3WebymbK3r9)vPiVzipXmCvMHQ9Nzy)l13zxIcAflxVtlfq7j3Ix5)7U9YbtJME9TdXLsgN(O48CujvcXrlHyK2l69JXFqG186Ymz3oxKLBn6yMzRB34dNm9(HdUDO(w7p667Hp69JL3(bu0)ZXL5GyhaxZ0X7ftWUSPCBifQZtJqKsuup6gBu9557geyZ8cLsY6kAxojcH(huR5tj7QQrj7nnqyTEf8UhlVLZnvzmfP)vP1sDF4LFcq2pLk6jZc5HrnsifQjblWWAWPc1tGRbkeFcdpWNWCO)1M(xg9VwYlPlUdOBRtRUPUrwhADLl01Cu7hx24QB(223tJMjR3rjuQA3DP0FCRbDi)emCkP1ZRRudDxTQPgRjdWATON8PBn3haY)AbrjE4p4W(6az5Go0rIznLj7Y7k2g8zOCgqUDI121ROB2M4YdRQ7ucMDcDDixoMmfSimlU8Vaor8ljLOnAF5t)K5hcgqMoNcJXptBwUhlWtxCQs8amrdajdGJiRke59PVlo2hsI3aCkxc8pw(QQwvIdHzyy(NtllYrR1byyeyUhSR(5ENnAlfDB8Y05rJqluskXNxvGRuOiCTcjJnMac83cwccaxDz6tWp)P3TAhwpbzIDKnyLPJUMxL(ZUh8Cvj4iYbbObKfM7IMaU5uGgtPQmwcu6D7vNUCBYX2EdkNhdIKUfobULs14ovv0ItQxFtk4o1pFq0)KTOzUJqXH4doztAzATsFooL(9mL3e)54JVLVF1Uc4xwf9lfzaaxOSBdNXGEMXjGNJjhFkFfEh3XBI37ksRakglBDr8s4tWNEXmpQSOQEg4vmmV3Mwwwu(LpDnYOlozzoUbubCikRx6OnKfioEFtXZib2x(0LGyAAcIXIwDkfmOMX74Ol2xA8CUhrZp5M0plgoyobmAqMoO2uZMy74zB3u9VeFcyBMOq0MCjOlTAdEXdrUnWY8NAwso3juxlW048ccdf733c0cGubGuUyBw3HcgxcEmPloyskvOxOit(a4cwU)Lpv84x(e5(6TXL17krc7yteg46HNaBROEb7s9LB5xNfN(zyStbxIHrQ(Z)h2QrB7iyKy(n75aMTeakY)luHgbh4DHDW6pgxm0a9qbB9fW(VpfSpo0M)sg9FwW)t8BSxYSP)53Rr5xvvjzIT4KNsvU8izXbVgOPxrAAZa3acf0NBazXRtNFaAaSUUi5DwAil0tCfhMCzwrXIDarqAwY(hLGPVKCoBf1hahEbw9t(nOyyxQoBTiwgqZVhWAmcnmAqS54g2aJF5tVjUUejD6cKGH5IW8ZBgkyipnuGLgKtHBn5KmurL3DEa9jwIdqB3M5H56kp7bd(kPT77WIirCi9VhN9BXP)A3PY2LJzYGssHEQymMyQUEzozogsbVmbjOgTTAFCpJfg6iq(n0I4THwriVifVi444VnzbQRz)9Kn46HNyo0IiTcoOwLjKQ5U6uSdnw(a39x(lJxSShAhWSwoPJ0Y4enqOP8EqlJG4b1uNqKpTHCWVBWRnA8AAp01Affr88Natf(YNElyVpQqemufyLLhL(GtFe(3X2e293h2hUgmszDp0uoCbWRihd5CFPDcOD2svbZbfqn6HP9SWUaUw2ddKlCuzpSUYECCnbA2(a915vGlcPX9i611Ies4yq3X9eW99f1Zlb7PqwOFb4fkaRDUQiBpPWmFg1XmXPPHYZkuK(UjFaTMVAdH87mqVWaF56hyi(uU(VAvAwMH87732J2dKI1xGfAi7yw(cSWRkalrftXvGcOV8PpSkfCAQCFLq8qG6t0VqSmrfU)rrf8gtp9f3WqqMWJjZaPki5dkDzT(uW2IKLXvuFbG)5cKaA3c4XE2Hv3txU9XChtZ0NCBswsYHTl65IYfr0LeeuVRGtGwWwYP)02SNeYUabOivuFSBH20rhVH6d8nLPuF5YT4bhx91nXOIKpeVBEjWrtcM2wLk0osdNMEfLzyGLTy2Fd6EWku088vum0vYFceyrfrOpirY1uHWeYX6oOLovrPSkZe5abhM0DCAMvuPyq5KB1byrGNrZ9J1N)uhtddN7hjls5kQxm5oUEsSiZjW3X154OXRsMxugl0qGu6JYqp6fKh0Wjd9T0ZpJlIXSWiJaFB2XN)HLB3utudGv6XaPWOY4LRLgXqJNwaM5gi4B)gW2y(d9n3awNGo7(TGqBAdC)2z7etSfZZMlUfnAFY8b1akmdz)K1XN3RNtSZlWDa4rwvECzsJXxc)R0CxbUHwontoyN0XN83VEwzswfWjsA8btib)duZU0kl9LUIWjwAwpxoW)C8PFcWuV(fdrzZKk5crq)glhmn7E6zpqz4iHXDT5ENaZSOqk5(DGtn0jC8offdoCXvJQb6zokeVNRLNZjM(BXBEiAxDAYJW(y(kP3a4ifxmQgI9qpfTcZIAwZhFQFL41Rf5YXRej5a0alPzOXtlqd3AqGRj3Kt4jq8y1rrU6bNbanPGVQwZn5q3x8XEnSR(yzwAqTZobY5T7kJF6P4)cLK0yHjOdvSRwHUK6c9DHbwpURJX876FI5hMu5z7vPBlZPf6vRkegsbU0WOJaVgd55wU2AXbEwNIRA4UeLhnfFowiUgv05hg26UzI4khUCIHFpKDIj(dAIDGBLqlGIeblLy4TUHoarj32eX7EksNjBsRtEe9sLyUKwwABjSkvFlHCc9D8)oCI6zkgtRg2d8Toi8K08)JTKNsKjxyocsu(OIJMME)MZtS5piMEq)QB4jKUFBrT6anoFED6JuW106SfP9YlWqwtJqy0O(tjOC02Y0ITaU5Eq76JIqJ14sGqqPxd)k3YI3iqi0Y6eunVPyDswC(cC(trNklkZvwEY8TBD1aTrZivaVldCh7eAM(qA(IQ5Oo1pSkPMciVsutOBq77fihm0v6m3LBP4FIQfsY)nWgQFI)UF(SS9Os0wfMjMGOhPXhvNMuYV4FSzzR7mi3gtYKWfCYeaYFXVYvkroYoRHMjgZyLmWEZixCfbT5NWFFh4V5x(eEFnoVLmbMHO1u(AX1GR3hUOxgYtfoZn8ukhhrmCi)20y8nkkD4lIRcpeVk5KLP(nAFz(EnSebwC7tWsSfVBxlih6xhVEDbAn7KMOkiOQum0yLFOdlegQGtjVq5OazlLWWbCX0HAqiHwFXK5GduoALKoo2E2NsErQiKCjLBi9JO6EPyAC00SRyO5wbbmTgsml0NkQwx9pIl3Un)VbgpasJILBKAvCFSPQZASFOg8D8ymn476FsjgdQwHosQDSCi2OgQax6(RBklM)x1kCKcpcS0heGK1gvzHG7oN4Kya(k1oPuQUbK)TyzwSC(PHtZVMd3c8PNRTr01ZY7esUhMrbwiD7Ammty3TawZ8UeQbnC0SWqUPQHtzTYRb3teyQ3xwLMNGXCu5XLCcOvWrVf8d9Aom4GZVNWsXL5jK07rzfp3waO0XIaUj0799a6DBeXY5kOp0n0p8eYVVSmwhGbIuAkO4prCaigpn)EMeqbF7jGm0n7WveOCe5Fc4FmkSCDmAm6WL4cSceA3ObIUjxJdcAeuGU1iNE8QF44Ec8daWfzPQWFo95urmu(RLjGqPCbRgEbtSfxZIgE6qBFBdxXoLmJBsIF04yyq(8usYeOj5VI3jG)6pR9(qeLNWgdSddACUX1ke2yNYDYz7if2zBmXyCWwpUiMkHgC0kvO)(uWesWIv2xri9vg7nzvxw6qJ4Kd8CnMxJ3eQti9g0vkSJPSOujuLjV9r6Oxc220ijY325ecIEh(oVoJsLWRkJNjMwx8UUqcRd5MgNgAAvT3ja3bzzVykyc56wzYPsh(lH11HnSWEEAkhW8uM1P0M9U0nIa7I3S(fOgt8MAceoiDtpgEC3bT1rEr)k3MUiAgC2TA7YOzyGNFEf4zGY2NqVg7surRfWfHGL02NaxGDGK854lFFGH6vzXpJK3XfjkQB8(irmsHn625nQuCz4LZ8esC(L4NIRw93KyAre(twyq)r6eddm0zz59nsNLC80c0sua7BGOaDKzS5ICRQTA3de050OZYLFkpA29xwetghMLwTooxfoEqqIyMzgWURHLv(8Wt5pa69YS4sY4tH2fLHvWGBxsrCmnPbFBm8bn3EBvYE2(0uRrGNt2nHyc1TCk)YiFleYVWlOegd7rz6uWjI7Ftzhb7gEGoUNwGlSNkSExdSc5lsQMthVdb5M0f(IcdHpitZPDfcbY1bYxnRGN)PoMVmjRO8Vuc)BLMDyRokzUEEYZdd(zq9X3CRhywnXjdyMD)wDe4kVulaEUr)UTEd4cAs8doHWIRktIxpdCInPeqr3qP2O4rXzGy8Ivi0qKNRsCKh3ZlW5ukRQJNNTRIs)lUhqPfxQ2b4nKKUQdnoGtRPP2WtgVVs0dvYDM64Ym575E66mG9dtA6zgkx4(FtuUSoUQ(Rs5swkQAjEj4Il2NmuAtyn3tdMVRoEyH22GpJNqBs66KxmDvAYJ0LuapifBDXGfZUtJIKqp3)ukR6OJIXmy9D1cGXqigCQaapy7YTL7m4CEhvAc6yqg4iVdmgMf46X)USeEMwE49nH4aZs8xfXbwslulcLknSgAdFdfr2nULHbs6Kb5vWqO0A6WeYRznk(TDd0boMSmW6uYtJNJ6zWBnhHrVmzxrUPPfY3hbnxyfoZtjpIHn99tHrNSj9jkoMIAr45en7mLHE5BXaJW154AzQa9urw5U4Nwbg2r5Q815G4ck0qnknfrwHzBAaaVrEK9j1P9QI4LBZebh61j5jvXyiWAuAkeizElzWSFRCEXh4JobvnqcVmETiuYydadd80gLVr2IlGbZ2Xa(9S)2yaJDGKV32iWCmDGTaBHdHDWjqpLBrNJi1oZJl)SmsVoaAWtCbAy2nrLdMqL5rEwyp4(erlaJ7TGH))D8sYjPRLgu4bM(im8LPVHoGiaVaTZ2E24f26uAlrX3yfGPUdDxLwPq(04fRqdxRTJoNH)583g7g6p31DBMTHMFMoSnG1taH0j0BoE36T0Dr695uBzryKHY6lC8Ivi0W8oh23AZ7WlNEg2bzwNebMVkElAaehpH1qNSWRQb3rXUOnElqvT5eHyZONXlXzvmmyQF5PB8Hf5GqwSPuPQ(hu63KzybsiMt1N7536JBQE5216OLUXIPQ1BlxJYDCYMvXvjnRAAvtB43y2R2G1JWXlkvzx1KgvZeQ6Mm0RkdQ0MJln7BQTErd1bfiBVM(UCFlUVTVhlWr(wWL3d(IQ85ZS4z7ST1LAfwtlD(oJ6yuu7Y9JT6mk5(g9Bz)fdHuzPhBEesL96XlZyjsUZE3eoeeBj1kcTz7Ie9oP(2aTaLM(5FpfOE)2aqVSPEAh1TI3NErD2)WKLyt7mD((Kf2Hh6Gu3bQT2JMYC7U3mtMHONFqgMjC1M3qvC)Qs7xvy)I2k8EBhSwu6Lrvt4zui6AC5H6VXxWuCMmDxyq0oJ7CgDcUa9cP5K877C2G(Epu2zGp1DikSdv1djgjeBwlK2M4flOReSBp4YMgsCplPbh3EF3(mp7TlhXbBfcczow47BB5R)c(botmXA9EWkxQdbi6oIq)pJeRfW0fwEpL3kv5tQcW64vC8MYcS1jJOCS6zfRl2zCXw4(CSEZBxuv1iMSvjwvVFrwjRDxzb0yw(U6oFyR17avXk1VZS27RPIJrbh1DRGzdybRyh0czSMD46xjjI3EnMGpOTTStX2q1EgadIlLhIIfSIGLnO6tGKdgtKX7kjrteMQJShZKV2dfL(g(ruDXptvTqRJQ2LpxZ5V3g))7wSAre9UbbsuvI8QsbmcZKl5SFvNwP7ZIlfk2GaqypNE)dm4VREzlIFEUObcuBmDBW64EV5QzcWo)ha6Q3rzkSZI4DuPUPEvgMJVRAIP6uUy(cffKUy(fTlJlBQ4AvhcqIXfvrUSFFuHL2pkHB76CrrGjAqEYsVeBdhQIWeB5Vj54vG(fy5rlMdSIpf)wH8lLul6Nvitt8PBRPAxP7JGxV2ICQOsBQEq1PoUlblZ08hDGIzgR8SEw3znR6SExZzI(VIuqBqtdvqILKQKikCeiat)KIDv1Upi4yrQMev2KWReVFweTkcXR3O2np82V)EbPdYkH)yBWl)JUbBQOxGjJEDxjEt4fPLTjBtqu1MIDbIptDbdG9DUrFiGi1IwjAYcIBcIXRvVMjtb4cjuQBWoj)SQ5ZxMSMsFBvedVDInRkHvn6oG9UgR3KTTsC6PkbtqrHUZWuIV9tWUDG6TYaWsUg7Z2ZJWbkXdOeCRG)nl7)nBNV8jBRx6ga)3VFlcFtKnfJ7YhIHyH6H(ONr)(x(08s19bJIkHe3Hx8KLIBTFCT8ROOZOdiu528lihA6BnjG7krv)oknpTAvYIF6NP1tGVOMSb1(l)YN(FbZy5wX91EVjZtSbMIpk9Aky7gAAYl0GyLiOk0eFbj3UNz5sybVIUGuY99tj7(YNOEQ)lP)Mzr)qEBZGTnUBhw(0kavjVtBFobZW3VRYbkEH2XK4uKjAN8TxvWRUG(GDjU)cQbu1ZqoBaT4jSKgUml(3swvGhl9dy(Dwfh)xABDCalO3HCUa2TG7Wlk3wvflVrDpxuEq0wyNLYgdIWV)Q3m4MBgo(1dJU9URgIVV4UFkndGbBiTAfSGRJFkrXPliNqPse10JaRzYXj2OVDrc925OqWKk7lR0J4sFVS76RFZu1DYnHGNxLKhHwtT3sGnEfzJELEPvqWu7Ns(ABImkXemAwlAlSiHknxSPQOyonNf6FuNhYdJFdGOx2dMx)LxVa(A8Y8jCAWM)VzXuhgmNxA)9wacABuFl6FmjiOs)9MnVJtTJVgM6zmNl5(W5RkKxi4cmcxiz)VJjUhuOT6VG3FRbZbZ0xVt0sSATswUV0H)vlGdFry3Z0CUa8VK8RXR3wDyO0ZC6zHV01)Lw8tGd97DmNli9QY4NXyXEiikO7SB9sUZjGOWEhZ5cr3buX4lSKCJuOFaOZ2QZkXDHf7hYW(wldBFC)EcX8eVTWSDm5MTFPv43BRGS7Fr)JjeZ25RE20ngUNXBMbALI40(cQmF3F28poZd2h76zmNK5jK(3lJZIFcpMEl4ni9jtru14INwTfg3DpQCbaR332RJL)beiAaB(9oMZe2MMahSsJ7UfVOTpDCamWCXqPiEV0HDcamS3XCUaivRNXlBxTVhbeDS6SC8GxYpHbEoSEhZzcIVUmoFNuC9bHk7URGZlTS)HqX)8cfdnLj2p6VRCr89ml2z0yEMhi8xYT)olx0H37IEyChUI47NGTlOlDNBVdhMBr9Fqa)9jyCBG)Mi2hGZ2GSmKuoP6kahCbvE39U3)d6LQ)x9SDeXZydoR7SzDcjmoH9oMtY(giSHzb1UGjh1a5GLstbFvX2s51fhJDFL49grRLXb(Vt4tl(sZQNXCMGgELc)14eznW(m9Mp9qaND3fYs7SYbboNEhZzcCVlglns8szTPMUQVVoPCrXHaVUu(2oV0X9hY)(Zl)lWu(xxeFBjFmx8QZIVLsyUggmG1N03BjFyxnSVf9pMihUFpZM1xFKXc6DA(EhAmEyNLfKjG2ci6DHI32tr3mCWVmKMbSL5Hi0CbXXFoiAFWrLjcv8SJsxq1fwigw545R6MDKKmGhjbFDVKKf1KVbkvp4ZRY7yTSJ)TcVyo49obFR4GzdQufixziBvndrCDrXe6uQqHdUBgvOfAf2CAPxrmyG3FmTSs8E0r03ELDlx90iErWJDvGwV1eVSB6zOEnjgl7MUaTUp7sToo8TtDH4nA02zrX11LPZ2wl6sI4Bd0FdZYy2K8y69LJ4zOhPicb7JC9hWwKM6nlffpDAsW3cPv3OZdm(Qyv2VEReDy4M3Yruw(Ox(ouZ3VfOjoK68IJN77zJ5I1NBzZdSvVE4PxC8mhFlwiJ55rTVKMxC8mpxhhBlx81dVmF36xC8Eu5WBzf4j70TFnV44LDtV)zJGN9nabBFae8)A9M5x8cKixWtfHnHDnZKMXx0ZVz(w22mNaCH18qM5ntMQYfDZ9OzAp1zkvZHD)GRVQfBjX1cmYNILK63PlO3EY0Q)okHqVa7tbVWciFDcE1Ghadhg)2oFNd)sWu)Hpm5QbyZ29(UsK0YJQePTvEBW0m7IxAQIUdNqF2Wy8(5FDo(cMyXw6f0mng1yVdKgr37i6VEBYo5Benvc6UB2)izE9Ru3fHM3rW4d1SWMp8KTZMI4gCYOx507budY0WbQ)hV)9aMS3jzmny5QPPkmEz2v)Wd)))',
	},
	--[[
		## WindTools Profile & Private Profile Strings Help
		##
		## To properly import the saved data from WindTools to the proper database (profile/private), you will need to export each one separately.
		## 1) Open the ElvUI configuration panel.
		## 2) Click the "Advanced" section.
		## 3) Click the "Profiles" section.
		## 4) Click "Export All" button
		## 5) Copy this string it generates and paste it below, replacing the contents in the quotation marks for the key "ALL".
	]]
	OmniCD = {
		ProfileString = 'L9u0QnmmmWFOnWXroT(1UTSnyqdZ5zbQUUuXCTl2EJ0)(fNWgdg6L7oDCNe2GJOzGsLBvWxCMpWEELrjxGWdybnx)XHBQKODukxjjIpoJfvSpA)WDe3HMlu4tYpe)NLByVsUfKsnieTQnDTs809Gcntyp01O1q3gLSzBdaI6gyU61XW2yyjWSL8U5Gab02Ov1abLUB2UQD5sJzUWXWYdukK9mAg3p82t9ZcxtUSR8hbkyphtlcV)6ZVm(BH4(lb(HhjV)UjJLsE(K77)',
	},
	WindTools = {
		ALL = 'nwvxVnoomW)rhAYEO3ZjPjynoNKIk3DrFXa0202crwYvIQBt)1Fusj9sC6E4EtMIFmC4i6YzLfLcqRnEDnoGAk8nb(0bd1Jwx40ignGAOsHLvLeBsbhr7eRxz))Fq8nhWJoYOXPryrhszAhbmcV6sXOfBLVNCR2mub0tOZBTynjn6PjQr6grvexFfiegT64N1jAH6Tiqfwq7AV1FPMqR1pEDponn)wA6vp6IHY4kyFPs(XhGTjeJuxR8n4dibsLlvopjvs64TjAagJJOqBd6ofUvQLSXGTEu21tpI2AE0cDy5UzHq(vVzLswFaBM2u4BSJChZ3fXmtRdEnx3ni4UzA6KyhUx)Gf6m6kqJ)nIJtD64(2wEewU7UsrRjjSC1aF9U7(J7VpsLUdaW08gPRxQ72DLUzzSsJqnFtmjPMQC33MLiaYyuKmrcDwJFmt3AUEOuRaNlR2Of0r2IW9QhSykCjHdX5aQqkQWALkvMUuS45I9N9iNzgvc6wyCKXYwOMbBmaVdxcDUnC3jqIcanI6w1rJN(p8iGEl0mrxt9G(GBPN43dNglVZULXWWTe(cHilSRNoCckdPR(cfwbOoWf(7i0WfxOn5gd9ip1uHp7Gb8uYj5aUGL(F)mrZKUnESG)OuSAFE(6vfz73jcLrHTXB(RsXJpTFZAHGVjCH2yha1kJYylf)yr(ZRt5oYXNvcYpyHW87si(ZX8S)8FHXpLnuFWhggvSYSXAgd0uvKGeXem7(tjG7WOq4nzN(erxeGyy6T7KGXzQLqCy2ALOUjxMK2etZEEFtexeqExqv0cEvmmnZqBUc2ZMhS3lBWTW7jfs81BRzIFNApCWq3SGRUN3XWvo(g2OWlKP5VS75SB9oxQpCtw4cYjzlQ9Fvb(czJBaSubuDRU5ZvtUFjP6(Kq0nnEMQ0zt3YsN3ehSNoTqH24NqyTuCZC1vQ9qVNw1dYMTG9WP)5KMVloh1dEBkAETX858I2WSJsMe)y9tfzRwKhg8ozvAvPyr(px8I4cz13oN1LxQJU48GHFPU)nE53YRfyNuOuz5)8d{}vRr2YnUnYVMu5HDtkDy7XEFtxESsSLDePJt2hujisqjebsWaaAnAo03(2DdWljpxP2DQnUkxMeSr3n67UHx0Dr4IGuHjc)lRWQcvRxl5J2WSdlwTsYxSArqM6Nzz)H4oMDd(QLT2SyiSn1Z8GCopgxKfhpA21cPLRXxnBf5JkSbr8mcfBu2FMVFWkylJgJlitwFRWyrYQfR3yFGLXL4B8mgs2Ho2zoprZnBGxTWEeaYaq2WXDSyw)fbQKed3(BlM1P5oT83Si4jrwCOsjnhw(APAxjS)(Iz)qxa5Y8nSfZGN2jIHZ1SUxGKiNPT7bo1yvoAvJ0evgXUg7EyHG7Fm82PZMashwk86K3KdmQzhBpaH4TCaH9aeAjjJWkuzmzi)negSm9Ao8LXtcgbqVrPT8SXCtKwKJq6ocP5sMfW87ENjsP5F4dhw(U3bNm7h(qd2cqJic2siY7rBxee8lpoy(KMhqGV2kiKUsPJD6hjNHpnSIzPtFtSIs)GinNNbmOf3JktUpWQYFIzJ2aAD0eOWssPuvbjCM1R3v9V8Ca6zx0)vxDb(q)(xD(Lxsp1T3RUOh8unPq0A3aCcGKXA2A4Kalb4tcS3goOnW3Ni5R3FyPk5Wsa4dlNawzG80GFleKEkPKrBCKEViBn(0pX3XLrAwI1TaPkql2R1G(YqQbnidc2kKY7ygaJJuP5mRWRU5YNFC6qVPEcUPhugsrIBUPWceWP80vCDna0rCDHqgpJVZmfuM3YFgSVhIAPcdpufizLM1rQ0vmRdPwWG1kYj(lHfHyBAKZIqT6p4WcpZFqRwJ2Ae242p63hefvOzr7jJGuvSirac6GGBMEnAT4Hs4mE0mrmr1FLviTnK1tZIyGW2YjPD9HEaCG1fM)PhSGnSy1oE8HLJ0frLcXbPcDSMburwc4ynNL(9Gt5nQCVP2gNXyq4KFl8r02TMkMCEKGjRnpsKOV)HLL(OaE4A1)cyaoZOYoS8ExaNpg0ovDd4d3Pqc9fIDp01m4x6(2aEsFk4pLV(Q3H7KJM57TBerJlYwZDwRbdLqSHdlNRuBrbVKCEdjxPN56vsLkfx5j2EWJ3yrKNPOWdPm92BasdRgGHHo60Z2L1YwjrKjatfGREntY2QvzXOU(AMu6GxVL8QXZNiAlefCifbC3miupGFpJPPtyfEdfXCYCFGLj)(XS3Y0FgQFxHw9wpXNlmodnRZFHOHW71ybFIaInGVwaBVo(Gwj5t9XwlFoWf8)2FF2JtBhV8plGZZ1QOctJ0gGH4QclOVavWJHH332t0SrKyD8fW2P0(EdKki(oUoAdldskUMBANfkRaJ0CFI7tZ85yWa8eGRKI3csNyAtpZZSHqeaAJusEu5bzJUtfZbnmGcsowf0HKhPn)eyzaOE91k9R1QIC)sKwlccMMHmPM)SGVJeQzO)k91vmnWNqEFApuOWHSST4lqKNexGhZOcWyofopyEjI(RzATW40n748TY9Z57Gde9rmifOLjxqiTQkR5HaJMtmbikNMbUgUWNeRUbS)4zRDgrMIvvPAjanwiSnJmqb7l88EderYDkCX)5VjNLHC8TSSy47O0NycjxBnnLgZ5zQDUKTOp3DGbVZiNvqSZnQcYAmaYUVhY5SrjC6hwmQUk0G0NezPmbXrohF)IGKyLI58sWZ5J5Rlp2WrILNd82DSOnyHsitjbBYHcILjA8wUg2gbUQqUc(IPX6Z5O6ZjW0QubpemgC8sKw5fYaQ1vQu8Hy(QI1uHweeKxnihTf07vzLqdXTUTUtPLX(t0AfyjK3ucgWYISfu8iEwewybx)tQcmHVdS0u0pvWBY6tmgayNGLR3AOCGmcjsGc3NmcQEdCIPTKjszJbwsBQTpYGYpDQ6M5EKYHGdGt8cFqluEWrJlF9tClwIHXvaljS(dL(ANXhHXnCjDaBy37oiGnznuqMsTsJsCNJWFwaHCjji6BCJpaAQa0edPqkoKaLrycbZWmc2uFGdsVqz3Zwp3hCFvTDaA6eOqfv5cz5f2742nQ4jq8bxOFiw5qM16R(vl4ERfl7ncI2izJDHInGcxe9Gk3fJanbHWpPaB52cumP27ITgAjqlIa7bH7Jq6abwRZckoQHkKWXWRFsS2eGfVgIDHOtzYHmQwrq4P03YtO6PDL5cfy25hVQp8dqd85Z7198xbbnWN737QZ6sOhQWFRx8R0ZPgjAJIlV4IlELhfxEw)UN5rrpOk2EU61GDEpy(OfExVuiKOVyoqTvq(n)xJnbhGXyiLWYwnUdmLna1HAgB1)tD)n9pTlLML5)x)O38KcnOSHHOn(ZOto)SR60ZHvp(UQhS2xM24So9VYV5YNDOa4OZ(CAdRpnbLA0islGoQa)nQTaQP1iEF8V74STdGALn3Nxw)oueLrQQGASwLdMLzdHGyXWZuFWIS9t9z8qWYwRRADKqHkntmASlwikJwrbWZhZZLClVgIwSGRzAb15XkmObpfIWtzFn19xdznhXSeeB4qlmcQudNdd(iMPKRNEp(mCWbcoOz(Ykst13uV1FP26Dvvklggpazff4LlXNePP(GNRoQAtxEaIb0CicrwMNFLX67e(GFuvrRdW2vxrDpHnuU4O2cfGAckSLhhqwUDOAWKqkkO9KfF02WHEEGdEgWNhwcfMyWxIQBjVpsdOHFO9BxlGSvTlVYWXyYCQ(PvED9i0cJwGm8UOR3C8Ioxw52sEhU2RhHHKD7zv5AdQAg3dtluEXvx6rz)Z77rz3ZoVDtMvCtB07x1taWhHM(bwhXPtaXwdp5V2ctuwruDhUh6ll46bJN0yXXGPjvnfgnOjBf9LEsQNhXNI)S(rK4c23(SwoaMxyGlTTfS16X2y4u9CtfHtV2LyBkiSNjAEcldo2RckkkJVi)VfMs)p105iR1pPbd43cvSnK2XKKeFD)))Lz0PtV7lW4H0OwO7BkO7WVDQ2snX3ev9FTOe)DqP)3SyhrB4qtAQ302eRs2q6Rl)8MvT1tFk5KrI1g8TICwAuQfce5XmldkeY3VtMW3diHRY1lB5oNv2rgJklAi13L9xX(LR61cxzmG0hQa2QGEBA0RjcXiv(EASo4c1NzxlAiD9(4WAQQbWhXm2sEcRM6rluLLDFjoRPiopK5kx7zXT4fM0(GAhxp8f7rYq1foNNR0KtuJHpH7nz7r8yPpPBM)P0C3JWXreZCdH)R6IjcKSvUlC5L3wZMm8B7mN2ChOITLT774pF7(Fn8a5xhDQ7HZkJOtzfXbvDe6I(8adAYnTUJxgu)PuyECAG7Aoqowvo1ytk0EzORmVDBeq166q66xCtXNorUwTdFHHvGIyLjf6toY3KtJqTUltji4MbJV)PQ7rQhiEpPQVQdAQcAsj41ZhmE6KzW744BGgRTKNupVd4xC7yT2D3J29NThZJcrvT1kF(ZVQsByB3QP7g4UJomdggC)TpgoP(E5616U265fnhd9NkevJXN2ivKvLJTxEFdgP1s)UBjnld7R0BG0avkWlpLAYSj8NS8V5naZuJD3rJt9LuiFGRJWMlwt4RA1g3hJ)QmojV5P(brFQSh0DcEt9D09YnZt9)kW5H(145reWkW5681SnQ1jWRRiSCRNwC1xmY6DS3)lzZ1ueoSIPRSxBK8IMIm9b8QkKLJrW5gC5zLUqL4(h7D5lKdRbwMrEgFcwZsJzS2wWD7Im392vnEZwmPbhx2rl5eg)OBqgA(ZChrlm8xOSJOpIJA32LtG5vboPCgH4zGE01gD)oVu1IuGuCW04CuWxez40r5JfA3ekrob8PIWXfsU340aTUQ6cU5(5t)33plCWTL0YaokZbp5zxutJGYT3)JmoDQ)FtbgGUo6BM6wrQGMVsSaYyMfXlVf9Jn2AChjFLoBn8MO)fiqY)eBFUs0kecIz1JqwA8PD(VdjJm8MA9P4OuBVlCK1WbfNnec5ALLgJ8o7A1IYBagbax8zH2wWKHQ0qASTKgnogS7Xz5hQgj5mV7GiZjqglsserfsO4Kqum18nNrDT5neDehwn(jNr(HLZHIBwe8DzfPpqxjH57EFussxEssNoZEpKG7So)G7YkWhHkdO59uFtKlcq4ts6F5fDU7F8E93LMllmFhOaWl04WYGYjNhmbFCrqVZ94ZDlPIiCjehD68QoXX3G0SBNtGPBNJG5jMorJLPCyP3Hn4PRHFrfXHLp88dnPnU3RHF60H(aU)BD3T1HLjkGm6xumKKCzNoDU9654gGDEeIWvXXLTZDTrWlp1I3l5lhV3qM2qgucJtg0aMtfthlLofjhJJhEEsB5aTqTsSTaI1V)5C(DVx7(WXIiNLYjIfh39XmKAWULwCTjAf3wsusbvEKFb9wjV)a()QJ)ixX51StBQuXgLuPelVmx3aFn0VLqJA5gwFn51KKxf3Hb0bmfP4X)1Ynwx1cdsNHAIj4)0gBGo3gwEfVd9H8x8Fc',
	},
}

Engine.Config = {
	MinElvUI = 13.53, --* Minimum version of ElvUI this profile should support
	Logo = [[Interface\AddOns\ElvUI_xScarlifeUI\Media\Logo512]], --* Logo image that is shown in the installer
	Discord = 'https://discord.gg/ZVG2Cea', --* Link to your Discord server
	Installer = {
		--* The justification of the text on each step button ('LEFT', 'RIGHT', 'CENTER').
		--* Default: 'CENTER'
		StepTitleTextJustification = 'LEFT',
		StepTitlesColor = { 1, 217 / 255, 0 }, --* Currently: #FFD900
		StepTitlesColorSelected = { 92 / 255, 225 / 255, 230 / 255 }, --* Currently: #5CE1E6
		StepTitleWidth = 150,
		StepTitleButtonWidth = 140,
	},
	Credits = {
		'|TInterface/AddOns/'..AddOnName..'/Media/RepoocReforgedLogo:0|t |cffA330C9Repooc|r',
		'|cffFF7C0ATukui Community|r',
	},
	Title = '|cffFFFFFFxScarlife|r|cff5CE1E6UI|r',
	--! Do not edit below unless you know what you are doing!
	Version = GetAddOnMetadata(AddOnName, 'Version'),
}
